Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Interface CurrentOperations

All Superinterfaces:
  CurrentOperations

All Known Subinterfaces:
  Current

public interface CurrentOperations
extends CurrentOperations

Interface definition : Current

Author:
  OpenORB Compiler

Method Summary
`byte[]` | `get_object_id()` Operation get_object_id
`POA` | `get_POA()` Operation get_POA
`Object` | `get_reference()` Operation get_reference
`Servant` | `get_servant()` Operation get_servant

Method Detail

### get_POA

    public POA get_POA()
                throws NoContext

  Operation get_POA

### get_object_id

    public byte[] get_object_id()
                         throws NoContext

  Operation get_object_id

### get_reference

    public Object get_reference()
                         throws NoContext

  Operation get_reference

### get_servant

    public Servant get_servant()
                        throws NoContext

  Operation get_servant

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD